Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: [DE] Probleme bei apt-get upgrade / upgrade-from-grub-legacy  (Read 6381 times)

debaba

  • Guest
[DE] Probleme bei apt-get upgrade / upgrade-from-grub-legacy
« on: 2010/09/15, 12:33:17 »
Hallo,

erstmal vielen Dank, daß ihr diese tolle Distribution weiterführt.

Ich habe mehrere PC's problemlos von Sidux upgegraded. :D

Nun habe ich einen Server, der beim Upgrade Fehler wirft.
Das Upgrade ist recht gut durchgelaufen bis zum Einrichten des Pakets grub-pc. :(

Folgende Meldung:
Code: [Select]


root@nasigoreng:~# apt-get upgrade
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut      
Statusinformationen werden eingelesen... Fertig
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
4 nicht vollständig installiert oder entfernt.
Nach dieser Operation werden 0B Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren [J/n]?
Richte grub-pc ein (1.98+20100804-4) ...
Generating core.img
install_device not specified.
dpkg: Fehler beim Bearbeiten von grub-pc (--configure):
 Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von grub:
 grub hängt ab von grub-pc; aber:
  Paket grub-pc ist noch nicht konfiguriert.
dpkg: Fehler beim Bearbeiten von grub (--configure):
 Abhängigkeitsprobleme - lasse es unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von grub-gfxboot:
 grub-gfxboot hängt ab von grub (>= 0.97-61); aber:
  Paket grub ist noch nicht konfiguriert.
dpkg: Fehler beim Bearbeiten von grub-gfxboot (--configure):
 Abhängigkeitsprobleme - lasse es unkonfiguriert
dpkg: Abhängigkeitsprobleme verhindern Konfiguration von fll-iso2usb:
 fll-iso2usb hängt ab von grub-pc (>= 1.96+20080601-1) | grub-legacy | grub-gfxboot; aber:
  Paket grub-pc ist noch nicht konfiguriert.
  Paket grub-legacy ist nicht installiert.
  Paket grub-gfxboot ist noch nicht konfiguriert.
dpkg: Fehler beim Bearbeiten von fll-iso2usconfigured to not write apport reports
                                                                                 configured to not write apport reports
                                                                                                                       configured to not write apport reports
        configured to not write apport reports
                                              b (--configure):
 Abhängigkeitsprobleme - lasse es unkonfiguriert
Fehler traten auf beim Bearbeiten von:
 grub-pc
 grub
 grub-gfxboot
 fll-iso2usb
E: Sub-process /usr/bin/dpkg returned an error code (1)


Das Problem besteht auch nach einem "dpkg-reconfigure --force grub".

Mit einem beherzten "upgrade-from-grub-legacy" bekomme ich:
Code: [Select]


root@nasigoreng:~# upgrade-from-grub-legacy

core.img doesn't exist, trying to create it.

Segmentation fault



Ich habe keine Eintragung gefunden, wo ich das install_device, das die apt-get Routine vermisst, angeben könnte.
Ich versuche also mal einen Reboot.
Nach einem Reboot wird der alte Kernel geladen. Dass er den neuen Kernel nicht erkennt bzw lädt, verstehe ich schon. Ich würde trotzdem gern den neuen Kernel verwenden.

System:
Code: [Select]


root@nasigoreng:~# uname -a
Linux nasigoreng 2.6.34-0.slh.11-sidux-686 #1 SMP PREEMPT Sat Jun 26 15:05:51 UTC 2010 i686 GNU/Linux
root@nasigoreng:~# df -h
Dateisystem           Size  Used Avail Use% Eingehängt auf
/dev/sda2              19G  7,1G   11G  41% /
tmpfs                 473M  8,0K  473M   1% /lib/init/rw
udev                  468M  144K  467M   1% /dev
tmpfs                 473M     0  473M   0% /dev/shm
/dev/sda4             130G   43G   87G  33% /home
/dev/md0              3,2T  1,5T  1,6T  50% /home/daten



Vielen Dank für die Hilfe
Wolfen :D

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.846
Probleme bei apt-get upgrade / upgrade-from-grub-legacy
« Reply #1 on: 2010/09/15, 12:51:04 »
kann es sein dass du bei den fragen während des upgrades kein device angegeben hast (es gab einen auswahlscreen)
ich würde grub neu installieren. schau dir mal http://manual.aptosid.com/de/sys-admin-grub2-de.htm#grub2 an.

greetz
devil[/code]

debaba

  • Guest
Probleme bei apt-get upgrade / upgrade-from-grub-legacy
« Reply #2 on: 2010/09/15, 13:11:13 »
Ja, kann sein, allerdings hat's bei den anderen PC's funktioniert. Äh, ich meine daß ich dort die Angabe in dem Auswahlscreen (sieht aus wie beim update-grub, oder??) auch gemacht habe und dann hat's geklappt.....
Egal, ein "apt-get install --reinstall grub-pc" bringt diesselbe Meldung wie das apt-get upgrade.
Da werd' ich wohl die chroot Umgebung herstellen müssen. :?

Ich sach dann nochmal Bescheid

cheers
Wolfen

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.846
Probleme bei apt-get upgrade / upgrade-from-grub-legacy
« Reply #3 on: 2010/09/15, 13:21:51 »
dann haben die anderen kisten wohl root auf sda1, und nicht sda2, wie diese.

greetz
devil

debaba

  • Guest
Probleme bei apt-get upgrade / upgrade-from-grub-legacy
« Reply #4 on: 2010/09/15, 13:41:55 »
Nein, das hat damit nix zu tun.
Faul wie ich bin, habe ich eben mal von Grub2 auf Grub zurückgesetzt (apt-get remove --purge grub-pc). Geht prima. Dann habe ich wieder den Grub2 draufgeworfen (apt-get install grub-pc).
Ich komme bis zum Auswahlscreen der Bootplatten. Wenn ich eine auswähle (egal welche, das sind immerhin 9 Stück), bekomme wieder den Segmentation Fault, und eine Rückmeldung dass der Grub2 nicht installiert wurde.
Warte jetzt bis ich das Keres-ISO heruntergeladen habe und probiers dann nochmals mit dem chroot-Environment.
Ist schon seltsam, dass er das Grub1 klaglos installiert und dann den Grub2 nicht.
Ich bin mir auch nicht 100% sicher, ob ich dem Server im Bios den ZUgriff auf den Bootsektor verboten habe. Das mach ich normal nicht, aber da die Kiste weit weg im tiefen Keller steht, kann sein dass ich das 'damals, früher weisst noch' gemacht habe. Denkst du, (du ist ok oder?) dass sich Linux von dem Bios-Verbot, falls vorhanden, beeindrucken lässt?
Wenn ja, muss ich mich wohl oder übel erheben, und die Kiste hier hoch holen und an einen Bildschirm ranhängen.

Hellau
Wolfen

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.846
Probleme bei apt-get upgrade / upgrade-from-grub-legacy
« Reply #5 on: 2010/09/15, 13:47:18 »
dann haben die anderen kisten wohl root auf sda1, und nicht sda2, wie diese.

greetz
devil

debaba

  • Guest
Probleme bei apt-get upgrade / upgrade-from-grub-legacy
« Reply #6 on: 2010/09/15, 14:10:44 »
Äh nein,

eine hat root auf sda3, eine andere auf sda1....
Verstehe deine Frage nicht, habe schon seit 1998 Multibootsysteme laufen und es gab nie ein Problem, wenn die Root-Partition nicht auf sda1 lag.
Meinst du wegen der Bios-Boot Beschränkung?? Das kann ja wohl auch nicht sein, da das Sidux vorher ja mit derselben Konstellation gelaufen ist.

cheers
Wolfen

debaba

  • Guest
Probleme bei apt-get upgrade / upgrade-from-grub-legacy
« Reply #7 on: 2010/09/15, 17:48:25 »
Moin, alles klar. :D

Nach einem Reinstall in der chroot Umgebung funktioniert der Spass wieder so wie er soll.

In der Beschreibung ist der Ablauf der Mounts im /dev Verzeichnis vertauscht.
der mount von /mnt/xxxxx/dev muss vor dem Mount von /mnt/xxxxx/dev/pts erfolgen.

Nun noch'n bisschen Sport treiben, Server in den Keller, Bier aufmachen und gut iss.

Tschööö
Wolfen

Offline devil

  • Administrator
  • User
  • *****
  • Posts: 4.846
Probleme bei apt-get upgrade / upgrade-from-grub-legacy
« Reply #8 on: 2010/09/15, 18:02:21 »
danke, mit der reihenfolge der mounts hast du natürlich recht.
wird im handbuch berichtigt.

greetz
devil